%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%global pypi_name pyvmomi

Name:           python-%{pypi_name}
Version:        6.5
Release:        9%{?dist}
Summary:        VMware vSphere Python SDK
License:        ASL 2.0
URL:            https://github.com/vmware/pyvmomi
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage 
ESX, ESXi, and vCenter.

%package -n     python2-%{pypi_name}
Summary:        VMware vSphere Python SDK
BuildRequires:  python2-devel
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-testtools >= 0.9.34
BuildRequires:  python-vcrpy
BuildRequires:  python-setuptools
BuildRequires:  python-requests
BuildRequires:  python-six
BuildRequires:  python-fixtures
Requires:       python-requests
Requires:       python-six
%else
BuildRequires:  python2-testtools >= 0.9.34
BuildRequires:  python2-vcrpy
BuildRequires:  python2-setuptools
BuildRequires:  python2-requests
BuildRequires:  python2-six
BuildRequires:  python2-fixtures
Requires:       python2-requests
Requires:       python2-six
%endif
%{?python_provide:%python_provide python2-%{pypi_name}}
Provides:       python2-pyvim

%description -n python2-%{pypi_name}
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage 
ESX, ESXi, and vCenter.

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        VMware vSphere Python SDK
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-testtools >= 0.9.34
BuildRequires:  python3-vcrpy
BuildRequires:  python3-requests
BuildRequires:  python3-six 
BuildRequires:  python3-yarl
BuildRequires:  python3-fixtures
Requires:       python3-requests
Requires:       python3-six 
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-pyvim
 
%description -n python3-%{pypi_name}
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage 
ESX, ESXi, and vCenter.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%{?with_python3: %py3_build}

%install
%py2_install
%{?with_python3: %py3_install}

%check
%{__python2} setup.py test
%{?with_python3: %{__python3} setup.py test}

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst tests/README.rst
%{python2_sitelib}/pyVmomi
%{python2_sitelib}/pyVim
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst tests/README.rst
%{python3_sitelib}/pyVmomi
%{python3_sitelib}/pyVim
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 6.5-8
- Rebuilt for Python 3.7

* Wed Mar 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 6.5-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 05 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 6.5-4
- Fix build adding yarl build deps 

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 6.5-2
- Rebuild for Python 3.6

* Tue Dec 13 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 6.5-1
- Update to 6.5

* Thu Sep 08 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 6.0.0.2016.6-1
- Update to version 6.0.0.2016.6
- Simplify the SPEC file

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0.2014.1.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0.2014.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0.2014.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0.2014.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 22 2014 Michael Rice <michael@michaelrice.org> - 5.5.0.2014.1.1-3
- Changed spec to work on EPEL

* Thu Sep 18 2014 Michael Rice <michael@michaelrice.org> - 5.5.0.2014.1.1-2
- Changes to spec from review suggestions

* Sun Aug 31 2014 Michael Rice <michael@michaelrice.org> - 5.5.0.2014.1.1-1
- Bugfix release from upstream.

* Fri Aug 22 2014 Michael Rice <michael@michaelrice.org> - 5.5.0.2014.1-2
- Changes to spec file based on bugzilla package review.

* Wed Aug 20 2014 Michael Rice <michael@michaelrice.org> - 5.5.0.2014.1-1
- Initial RPM build.

